# std::error_category Class Reference

error_category More...

List of all members.

## Public Member Functions

- error_category (const error_category &)
- virtual error_condition default_error_condition (int __i) const
- virtual bool equivalent (const error_code &__code, int __i) const
- virtual bool equivalent (int __i, const error_condition &__cond) const
- virtual string message (int) const =0
- virtual const char * name () const =0
- bool operator!= (const error_category &__other) const
- bool operator< (const error_category &__other) const
- error_category & operator= (const error_category &)
- bool operator== (const error_category &__other) const

## Detailed Description

error_category

Definition at line 64 of file system_error.

The documentation for this class was generated from the following file:

- system_error